com.verisign.epp.codec.registry.v02

## Enum EPPRegistryZone.UnsupportedData

- java.lang.Object
- - java.lang.Enum<EPPRegistryZone.UnsupportedData>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryZone.UnsupportedData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryZone.UnsupportedData>
  Enclosing class:
    EPPRegistryZone

      public static enum EPPRegistryZone.UnsupportedData
      extends java.lang.Enum<EPPRegistryZone.UnsupportedData>

  Possible values for the `unsupportedData` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `fail` The server will fail the command that includes unsupported data.
    `ignore` The server will ignore the unsupported data and execute the command.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryZone.UnsupportedData` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryZone.UnsupportedData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### fail

          public static final EPPRegistryZone.UnsupportedData fail

      The server will fail the command that includes unsupported data.

    - #### ignore

          public static final EPPRegistryZone.UnsupportedData ignore

      The server will ignore the unsupported data and execute the command.

  - ### Method Detail

    - #### values

          public static EPPRegistryZone.UnsupportedData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryZone.UnsupportedData c : EPPRegistryZone.UnsupportedData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryZone.UnsupportedData valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null